Bug 804755 - Review Request: Factor - A stack-based programming language
Review Request: Factor - A stack-based programming language
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 14:25 EDT by Ricky Elrod
Modified: 2014-06-12 02:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 02:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2012-03-19 14:25:29 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/factor/factor.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/factor/factor-0.94-1.fc18.src.rpm
Description: A stack-based programming language

notes:
1) Factor bootstraps against itself using a premade 'image'.
I have a FPC ticket open for an exemption here: https://fedorahosted.org/fpc/ticket/155 but was told to file the review request anyway.

2) 'factor', the name, conflicts with a Coreutils tool of the same name. Because of this, the binary gets installed as 'factor-vm'

rpmlint outputs:
[ricky@t520 SPECS]$ rpmlint factor.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ricky@t520 SPECS]$ rpmlint factor
factor.x86_64: W: unstripped-binary-or-object /usr/lib64/factor/extra/elf/a.elf
factor.x86_64: W: no-manual-page-for-binary factor-vm
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[ricky@t520 SRPMS]$ rpmlint factor-0.94-1.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2013-05-08 18:35:40 EDT
I am triaging old review tickets.  I apologize that it has been so long since 
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets 
which are not reviewable so as to not waste what reviewer time is available.  
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still 
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines, 
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you 
reply, but by closing out the stale tickets we can devote extra attention to 
the ones which aren't stale.
Comment 2 Ricky Elrod 2014-06-12 02:43:05 EDT
Closing wontfix for now.

Note You need to log in before you can comment on or make changes to this bug.